---
name: Documentation
about: Create a report for fixing or adding additional documentation related to stellar-core
title: "[Short Description] (Version: [stellar-core version])"
labels: docs
assignees: ''

---

## Read before creating an issue

In general, we close any issues that are
* unactionable (fill the template below under "Description")
* questions best served elsewhere

We have a small community of people that manages issues, and we want to ensure that the issues that remain open are high quality (so we actually get around to implementing them!).

### I have a question!

The stellar-core issues repository is meant for reporting bugs and feature requests related to stellar-core's implementation.

If you have a question, we would recommend that you take a look at Stellar's [developer portal][1], where you'll find comprehensive documentation related to Stellar.

If you can't find an answer to your question you can:
* submit a question to [Stellar's Stack Exchange][2].
* or ask one of [Stellar's communities][3].

[1]: https://www.stellar.org/developers/
[2]: https://stellar.stackexchange.com/
[3]: https://www.stellar.org/community/#communities

### I'd like to report a bug or feature request related to the documentation!

First, consider that Stellar's documentation is spread across multiple repositories, and this repository only pertains to docs related to `stellar-core`, i.e. if it's in the `docs` folder. Please check to see if the source of the document you're looking at resides in this repository *before filing an issue*. If you're not sure where the source for a piece of documentation on our website exists, or you're looking to make a general feature request, please file an issue in the [Stellar docs repository][4].

[4]: https://github.com/stellar/docs

## Description

### Explain in detail the incorrect or additional documentation you'd like to see.

*Be descriptive, including any suggestions you may have with regard to the layout and content of our docs*.

### Please include any links to where our docs are hosted on our Developer Portal

*It makes it much easier for us to determine additional changes across various other repositories. Usually these are hosted at https://www.stellar.org/developers*.

### Additional context
*Add any other context about the docs report here, including any gists or attachments that would make it easier to understand the bug or enhancement you're describing*.
